> For the complete documentation index, see [llms.txt](https://developer.emporix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.emporix.io/api-documentation/api-guides/configuration/configuration-service/api-reference/global-configurations.md).

# Global Configurations

Read Global Configurations

## Retrieving global configurations

> Retrieves a list of global configurations.

```json
{"openapi":"3.0.0","info":{"title":"Configuration Service","version":"0.0.1"},"tags":[{"name":"Global configurations","description":"Read Global Configurations"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":[]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"refreshUrl":"","scopes":{"configuration.configuration_view":"","configuration.configuration_manage":""},"tokenUrl":"https://api.emporix.io/oauth/token"}}}},"schemas":{"Configuration":{"allOf":[{"$ref":"#/components/schemas/BaseConfiguration"},{"type":"object"}]},"BaseConfiguration":{"title":"BaseConfiguration","type":"object","properties":{"key":{"type":"string","description":"Configuration key.","minLength":1},"value":{"description":"Configuration value. It can be any valid JSON object.","oneOf":[{"type":"object"},{"type":"string"},{"type":"array","items":{"type":"object"}},{"type":"boolean"}]},"version":{"type":"integer","description":"Configuration version."},"description":{"type":"string","description":"Describes purpose of the configuration."},"secured":{"type":"boolean","description":"Flag indicating whether the configuration should be encrypted. It works only if `value` field is of `string` type.","default":false},"restricted":{"type":"boolean","description":"Flag indicating whether the configuration should be restricted. When configuration is rectricted then it cannot be deleted. When this property is set to `true` then it cannot be unset.","default":false},"readOnly":{"type":"boolean","description":"Flag indicating whether the configuration should be readOnly. When configuration is readOnly then it cannot be updated.","default":false},"schemaUrl":{"type":"string","format":"uri","description":"URL of Json Schema for validation purpose. When configuration is created this value can be provided and then each update operation will be validated against this schema. This property cannot be updated so once set it cannot be unset. The Json Schema should contain one root property named `value` in order to work correctly. An example of a valid schema: `{ \"$schema\": \"http://json-schema.org/draft-07/schema#\", \"type\": \"object\", \"required\": [\"value\"], \"properties\": { \"value\": { \"type\": \"boolean\" } } }` "}},"required":["key","value"]}}},"paths":{"/configuration/{tenant}/global-configurations":{"get":{"summary":"Retrieving global configurations","tags":["Global configurations"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Configuration"}}}}}},"operationId":"GET-global-configuration-list-config","parameters":[{"schema":{"type":"string"},"in":"query","name":"keys"}],"description":"Retrieves a list of global configurations."}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.emporix.io/api-documentation/api-guides/configuration/configuration-service/api-reference/global-configurations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
